[MASTER] ccsm crashed with KeyError in compizconfig.Plugin.ApplyStringExtensions (src/compizconfig.c:6780)(): 'h\xf5p\n\x01'

Bug #833348 reported by Steph on 2011-08-24
476
This bug affects 108 people
Affects Status Importance Assigned to Milestone
compizconfig-settings-manager (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

Startng Compiz settings manager.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: compizconfig-settings-manager 0.9.5.92-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic i686
Architecture: i386
Date: Wed Aug 24 16:39:06 2011
ExecutablePath: /usr/bin/ccsm
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110731)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/ccsm
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/ccsm']
SourcePackage: compizconfig-settings-manager
Title: ccsm crashed with KeyError in compizconfig.Plugin.ApplyStringExtensions (src/compizconfig.c:6780)(): 'h\xf5p\n\x01'
UpgradeStatus: Upgraded to oneiric on 2011-08-24 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Steph (64bit-us) wrote :
tags: removed: need-duplicate-check
Changed in compizconfig-settings-manager (Ubuntu):
status: New → Confirmed
tags: added: bugpattern-needed
visibility: private → public
summary: - ccsm crashed with KeyError in compizconfig.Plugin.ApplyStringExtensions
- (src/compizconfig.c:6780)(): 'h\xf5p\n\x01'
+ [MASTER] ccsm crashed with KeyError in
+ compizconfig.Plugin.ApplyStringExtensions (src/compizconfig.c:6780)():
+ 'h\xf5p\n\x01'
tags: removed: bugpattern-needed
tags: added: bugpattern-written
dino99 (9d9) wrote :

Crash if ccsm 0.9.5.92-0ubuntu1 opened
happen on Oneiric i386 b2 fully updated

ApportVersion: 1.23-0ubuntu2
Architecture: i386
DistroRelease: Ubuntu 11.10
NonfreeKernelModules: nvidia
Package: compizconfig-settings-manager 0.9.5.92-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 LANG=fr_FR.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic-pae 3.0.4
Tags: oneiric
Uname: Linux 3.0.0-12-generic-pae i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin audio avahi avahi-autoipd boinc cdrom couchdb crontab daemon debian-tor dialout disk fuse haldaemon klog kmem libuuid lpadmin mail messagebus mlocate mysql mythtv netdev ntp operator plugdev polkituser pulse root sambashare saned shadow ssh ssl-cert sudo syslog tty users utmp video voice www-data

tags: added: apport-collected
dino99 (9d9) wrote : Dependencies.txt

apport information

Changed in compizconfig-settings-manager (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
tags: added: rls-mgr-o-tracking
Klaus Reichl (klaus-reichl) wrote :
Download full text (3.3 KiB)

Is this known?

ccsm continues to run after the bug.
I can e.g. try to enable "Wobbly WIndows", however, than compiz crashes and restarts.

Here the log - start - enable wobbly - error again:

kr2@neclap:~$ ccsm

(ccsm:4017): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(ccsm:4017): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(ccsm:4017): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(ccsm:4017): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Skipping upgrade com.canonical.unity.unity.01.upgrade
Skipping upgrade com.canonical.unity.unity.02.upgrade
Initializing core options...done
/usr/lib/python2.7/dist-packages/ccm/Window.py:92: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.LeftPane.pack_start(page.LeftWidget, True, True)
/usr/lib/python2.7/dist-packages/ccm/Window.py:95: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.show_all()
/usr/lib/python2.7/dist-packages/ccm/Widgets.py:1567: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self._table.attach (button, col, col+1, row, row+1, 0, xpadding=TableX, ypadding=TableY)
Loading icons...
/usr/lib/python2.7/dist-packages/ccm/Widgets.py:1572: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  self.show_all ()
Initializing compiztoolbox options...done
Initializing mousepoll options...done
Initializing wall options...done
Initializing move options...done
Initializing gnomecompat options...done
Initializing detection options...done
Initializing regex options...done
Initializing decor options...done
Initializing scale options...done
Initializing opengl options...done
Initializing animation options...done
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/ccm/Utils.py", line 253, in ParseSettings
    plugin.Update ()
  File "compizconfig.pyx", line 783, in compizconfig.Plugin.Update (src/compizconfig.c:5765)
  File "compizconfig.pyx", line 870, in compizconfig.Plugin.ApplyStringExtensions (src/compizconfig.c:6780)
KeyError: 'P\xe2\xe1\x08\x01'

---- Enable Wobbly WIndows ----

Initializing wobbly options...done
Initializing ezoom options...done
Initializing fade options...done
Initializing imgpng options...done
Initializing place options...done
Initializing composite options...done
Initializing unityshell options...done
Initializing unitymtgrabhandles options...done
Initializing grid options...done
Initializing bailer options...done
Initializing resize options...done
Initializing vpswitch options...done
Initializing session options...done
Initializing expo options...done
Initializing workarounds options...done
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/ccm/Widgets.py", line 1441, in enable_plugin
    plugin.Context.UpdateExtensiblePlugins ()
  File "compizconfig.pyx", line 1140, in compizconfig.Context.UpdateExtensiblePlugins (src/compizconfig.c:9586)
  File "comp...

Read more...

Download full text (5.0 KiB)

Same here
On Oct 1, 2011 1:37 PM, "Klaus Reichl" <email address hidden> wrote:
> Is this known?
>
> ccsm continues to run after the bug.
> I can e.g. try to enable "Wobbly WIndows", however, than compiz crashes
and restarts.
>
> Here the log - start - enable wobbly - error again:
>
> kr2@neclap:~$ ccsm
>
> (ccsm:4017): Gtk-WARNING **: Unable to locate theme engine in
> module_path: "pixmap",
>
> (ccsm:4017): Gtk-WARNING **: Unable to locate theme engine in
> module_path: "pixmap",
>
> (ccsm:4017): Gtk-WARNING **: Unable to locate theme engine in
> module_path: "pixmap",
>
> (ccsm:4017): Gtk-WARNING **: Unable to locate theme engine in module_path:
"pixmap",
> Checking if settings need to be migrated ...no
> Checking if internal files need to be migrated ...no
> Backend : gconf
> Integration : true
> Profile : unity
> Adding plugins
> Skipping upgrade com.canonical.unity.unity.01.upgrade
> Skipping upgrade com.canonical.unity.unity.02.upgrade
> Initializing core options...done
> /usr/lib/python2.7/dist-packages/ccm/Window.py:92: Warning:
g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
> self.LeftPane.pack_start(page.LeftWidget, True, True)
> /usr/lib/python2.7/dist-packages/ccm/Window.py:95: Warning:
g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
> self.show_all()
> /usr/lib/python2.7/dist-packages/ccm/Widgets.py:1567: Warning:
g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
> self._table.attach (button, col, col+1, row, row+1, 0, xpadding=TableX,
ypadding=TableY)
> Loading icons...
> /usr/lib/python2.7/dist-packages/ccm/Widgets.py:1572: Warning:
g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
> self.show_all ()
> Initializing compiztoolbox options...done
> Initializing mousepoll options...done
> Initializing wall options...done
> Initializing move options...done
> Initializing gnomecompat options...done
> Initializing detection options...done
> Initializing regex options...done
> Initializing decor options...done
> Initializing scale options...done
> Initializing opengl options...done
> Initializing animation options...done
> Traceback (most recent call last):
> File "/usr/lib/python2.7/dist-packages/ccm/Utils.py", line 253, in
ParseSettings
> plugin.Update ()
> File "compizconfig.pyx", line 783, in compizconfig.Plugin.Update
(src/compizconfig.c:5765)
> File "compizconfig.pyx", line 870, in
compizconfig.Plugin.ApplyStringExtensions (src/compizconfig.c:6780)
> KeyError: 'P\xe2\xe1\x08\x01'
>
>
> ---- Enable Wobbly WIndows ----
>
> Initializing wobbly options...done
> Initializing ezoom options...done
> Initializing fade options...done
> Initializing imgpng options...done
> Initializing place options...done
> Initializing composite options...done
> Initializing unityshell options...done
> Initializing unitymtgrabhandles options...done
> Initializing grid options...done
> Initializing bailer options...done
> Initializing resize options...done
> Initializing vpswitch options...done
> Initializing session options...done
> Initializing expo options...done
> Initializing workarounds options...done
> Traceback (most recent call last):
> File "/usr/lib/python2.7/dist-packages/ccm/Widgets.py", line 144...

Read more...

Col Hathi (colhathi) wrote :

Don't know if it's related but i can have the following messages:

> /usr/lib/python2.7/dist-packages/ccm/Window.py:92: Warning:
g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
> self.LeftPane.pack_start(page.LeftWidget, True, True)
> /usr/lib/python2.7/dist-packages/ccm/Window.py:95: Warning:
g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
> self.show_all()
> /usr/lib/python2.7/dist-packages/ccm/Widgets.py:1567: Warning:
g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
> self._table.attach (button, col, col+1, row, row+1, 0, xpadding=TableX,
ypadding=TableY)

consistently removed from .xsession-errors log by unchecking "Tear Free Desktop" in amdcccle for my integrated ATI HD250 as a workaround.

dino99 (9d9) wrote :

Should have been fixed since a while.

Changed in compizconfig-settings-manager (Ubuntu Oneiric):
status: Triaged → Invalid
Changed in compizconfig-settings-manager (Ubuntu):
status: Triaged → Incomplete
Phillip Susi (psusi) wrote :

This package has been removed from Ubuntu. Closing all related bugs.

Changed in compizconfig-settings-manager (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.